### Method

# WebKit2WebExtension DOMCSSStyleSheet insert_rule

#### Declaration [src]

    gulong
    webkit_dom_css_style_sheet_insert_rule (
      WebKitDOMCSSStyleSheet* self,
      const gchar* rule,
      gulong index,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`rule` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`index` | `gulong`
| A #gulong.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gulong`
| A #gulong.